ゼウス 暗号化通信 TLS1.1以上 テスト接続についての追加の質問

ホーム フォーラム 使い方全般 ゼウス 暗号化通信 TLS1.1以上 テスト接続についての追加の質問

このトピックには5件の返信が含まれ、2人の参加者がいます。5 ヶ月、 4 週間前 aii さんが最後の更新を行いました。

6件の投稿を表示中 - 1 - 6件目 (全6件中)
  • 投稿者
    投稿
  • #85832

    aii
    参加者

    ——————————————-
    WordPress のバージョン:4.9.6
    Welcart のバージョン:1.9.10
    Welcart専用の拡張プラグイン:
    ご利用のテーマ:hipster(welthemes)
    症状を確認したブラウザ:
    サーバー:大塚商会
    SSLの利用:カートページのみSSL
    WordPress のパーマリンク設定:
    ——————————————–

    いつもお世話になり、ありがとうございます。

    弊社はクレジットカード決済でゼウスを使用しており、
    ゼウスより、TLS1.1 以上対応のテストの案内があり、やり方がわからなかったところ、
    下記フォーラムにたどり着きました。

    https://www.welcart.com/community/forums/topic/ゼウス-暗号化通信-tls1-1以上-テストについて

    そこで、2点追加でご質問です。

    ・「Welcart を Development Version にアップデートし、」とありますが、
    接続テストが終わったら、Welcartはまた元のバージョンに戻すのでしょうか?

    ・「お使いのテーマ配下の functions.php に、以下の一文を追加していただく必要があります。」とありますが、一文を追加する箇所は、どこでも良いのでしょうか?

    初歩的な質問で申し訳ありませんが、よろしくお願いいたします。

    #85853

    yskysmr
    キーマスター

    こんにちは。

    参照の投稿は古いものですので、当時の Development Version は既に正式リリース済です。インストールし直す必要はありません。また、functions.php に追加する場所は、どこでもよいです。

    #85862

    aii
    参加者

    ご回答ありがとうございます。

    さっそく、使用中のテーマ「hipster」のfunctions.php に、以下の一文

    define( ‘ZEUS_TLS_TEST’, ‘gwtest.paymentservice.jp’ );

    を追加して接続テストを行ったのですが、
    決済が完了せずエラーになってしまいます。
    テストカード番号、有効期限はきちんと確認して数回試したのですが・・・

    一文を追加した場所は、functions.phpの最後の ?> の直前です。

    エラーの原因は、何が考えられるでしょうか?

    #85863

    aii
    参加者

    追加で・・

    functions.php内に一文を追加せずにテストカードで接続テストを行ったところ、
    正常にカード決済が完了しましたので、
    テストカード情報は問題ないと思われます。

    #85866

    yskysmr
    キーマスター

    aii 様

    テスト用URL で決済エラーになったということは、お使いの SSL が TLS1.2 に対応していないということになります。

    ~/wp-content/plugins/usc-e-shop/logs/acting_transaction.log
    に、TLS(v1.2) Error 等のメッセージは出力されていませんでしょうか。

    #85868

    aii
    参加者

    ご回答ありがとうございます。

    acting_transaction.logを確認したところ、確かに

    zeus card : TLS(v1.2) Error
    zeus card : SSL Error
    zeus_card error : Array

    となっていました・・・
    SSL が TLS1.2 に対応していないのですね。
    SSLを導入したサーバ会社に確認してみます。
    ありがとうございます。

6件の投稿を表示中 - 1 - 6件目 (全6件中)

このトピックに返信するにはログインが必要です。